/*
** Copyright R-U-ON, 2006
** www.r-u-on.com
*/

#ifndef COMMON_H
#define COMMON_H

#ifndef MAX_PATH
#define MAX_PATH 500
#endif

void bs2s(char *buff);
void s2bs(char *buff);
char *getdir(void);
char *getexefile(void);
int copyfile(char *src, char *dst);

void iao_logmsg(char *msg);
void iao_logsysmsg(char *msg);
void logsysmsgforce(char *msg, int errcode);

int execute(char *path);
int spawn(char *path);
void bailout(void);
int ask(char *question);
void showlog(void);

void informok(void);

#ifdef WIN32
void asyncmsgbox(char *text);
void syncmsgbox(char *text);
#endif

#endif
